$managedDatablockSet = new SimSet() {
   canSaveDynamicFields = "1";
   internalName = "Datablocks";

   new t2dImageMapDatablock(shadowSmall) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/shadows/shadow_small";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(shadowMed) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/shadows/shadow_med";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(shadowLarge) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/shadows/shadow_big";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(playerImage) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/player/player";
      imageMode = "CELL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "1";
      cellOffsetY = "1";
      cellStrideX = "47";
      cellStrideY = "47";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "46";
      cellHeight = "46";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(playerArmImage) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/player/arm";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(playerHeadImage) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/player/head";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "4";
      cellHeight = "4";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(playerTorsoImage) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/player/torso";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(playerLegImage) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/player/leg";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "2";
      cellHeight = "8";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(playerCaseImage) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/player/case";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "6";
      cellHeight = "4";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(playerBloodImage) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/player/blood";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(foregroundImage) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/environment/foreground";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "160";
      cellHeight = "8";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(background) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/environment/background";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dAnimationDatablock(playerRunAnimation) {
      canSaveDynamicFields = "1";
      imageMap = "playerImage";
      animationFrames = "0 1 2 3 4 5 6 7 8 9 10 11 12 13";
      animationTime = "0.5";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dAnimationDatablock(playerRunFastAnimation) {
      canSaveDynamicFields = "1";
      imageMap = "playerImage";
      animationFrames = "0 1 2 3 4 5 6 7 8 9 10 11 12 13";
      animationTime = "0.25";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dAnimationDatablock(playerTiredAnimation) {
      canSaveDynamicFields = "1";
      imageMap = "playerImage";
      animationFrames = "14 15 16 17 18 19 20 21";
      animationTime = "1";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dAnimationDatablock(playerStandAnimation) {
      canSaveDynamicFields = "1";
      imageMap = "playerImage";
      animationFrames = "22 23 22 23";
      animationTime = "0.1";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dImageMapDatablock(anvilImage) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/objects/anvil";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(anchorImage) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/objects/anchor";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(bowlballImage) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/objects/bowlball";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(piano) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/objects/piano";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(paper) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/objects/paper";
      imageMode = "CELL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "1";
      cellOffsetY = "1";
      cellStrideX = "26";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "25";
      cellHeight = "9";
      preload = "1";
      allowUnload = "0";
   };
   new t2dAnimationDatablock(paperAnimation) {
      canSaveDynamicFields = "1";
      imageMap = "paper";
      animationFrames = "0 1 2 3 4 5 6 5 4 3 2 1";
      animationTime = "0.9";
      animationCycle = "1";
      randomStart = "1";
      startFrame = "0";
   };
   new t2dAnimationDatablock(paperIdle0) {
      canSaveDynamicFields = "1";
      imageMap = "paper";
      animationFrames = "3 3";
      animationTime = "1";
      animationCycle = "1";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dImageMapDatablock(tv) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/objects/tv";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dAnimationDatablock(playerStandUpAnimation) {
      canSaveDynamicFields = "1";
      imageMap = "playerImage";
      animationFrames = "24 25 26 27 28 29 30 31 31";
      animationTime = "1";
      animationCycle = "0";
      randomStart = "0";
      startFrame = "0";
   };
   new t2dImageMapDatablock(cadillac) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/objects/cadillac";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
   new t2dImageMapDatablock(shadow_xlarge) {
      canSaveDynamicFields = "1";
      imageName = "skyfall/data/images/shadows/shadow_xlarge";
      imageMode = "FULL";
      frameCount = "-1";
      filterMode = "NONE";
      filterPad = "1";
      preferPerf = "0";
      cellRowOrder = "1";
      cellOffsetX = "0";
      cellOffsetY = "0";
      cellStrideX = "0";
      cellStrideY = "0";
      cellCountX = "-1";
      cellCountY = "-1";
      cellWidth = "0";
      cellHeight = "0";
      preload = "1";
      allowUnload = "0";
   };
};

